import codecs
from pathlib import Path
from typing import Optional

from .config import ANNEX_HTML_FILE, PONENCIA_HTML_FILE


def extract_ponencia(folder: Path) -> Optional[str]:
    return get_html(folder / PONENCIA_HTML_FILE)


def extract_annex(folder: Path) -> Optional[str]:
    return get_html(folder / ANNEX_HTML_FILE)


def get_html(loc: Path) -> Optional[str]:
    return codecs.open(str(loc), "r").read() if loc.exists() else None
